<template>
  <!-- 火运计费详单页面 -->
  <div class="purchaseOrder">
    <div class="top">
      <el-input placeholder="请输入内容" v-model="input" clearable> </el-input>
      <el-button type="primary" class="btn" @click="onclick">
        <i class="el-icon-search"></i>查询
      </el-button>
      <el-button type="primary" @click="detailsclick">
        生成详单
      </el-button>
    </div>
    <dilTable v-bind.sync="option">
      
    </dilTable>
  </div>
</template>

<script>
export default {
  name: "purchaseOrder",
  data() {
    return {
      input:"",
      restaurants: [],
      state: "",
      option: {
        // 表格请求数据的地址
        requestUrl: "/api/v1/bms/getTrainDetailsOrderList?apiId=118",
      },
    };
  },
  mounted() {
  },
  methods: {
    onclick() {
      this.option.requestUrl = "/api/v1/bms/getTrainDetailsOrderList?apiId=118&con="+this.input;
    },
    detailsclick() {
        this.$router.push("/addTrainDetails");
    }
  },
};
</script>
<style lang='scss' scoped>
.purchaseOrder {
  .top {
    padding: 1.25rem 1.875rem;
  }
}
</style>